Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.datatype
Class ENTITYDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.ENTITYDatatypeValidator

public class ENTITYDatatypeValidator
extends AbstractDatatypeValidator

ENTITYDatatypeValidator implements the DatattypeValidator interface. This validator embodies the ENTITY attribute type from XML1.0 recommendation. The Value space of ENTITY is the set of all strings that match the NCName production and have been declared as an unparsed entity in a document type definition. The Lexical space of Entity is the set of all strings that match the NCName production. The value space of ENTITY is scoped to a specific instance document. Some caveats: Because of the Xerces Architecture, where all symbols are stored in a StringPool and Strings are referenced by int then this datatype needs to know about StringPool. The first time that this datatype is invoked we pass a message containing 2 references needed by this validator: - a reference to the DefaultEntityHandler used by the XMLValidator. - a reference to the StringPool. This validator extends also the XML1.0 validation provided in DTD by providing "only on Schemas" facet validation. This validator also embodies the Derived datatype ENTITIES which is an ENTITY derived by list. These validators can be supplied by the application writer and may be useful as standalone code as well as plugins to the validator architecture.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: ENTITYDatatypeValidator.java,v 1.5 2000/08/19 00:02:31 jeffreyr Exp $
Author:
  Jeffrey Rodriguez-
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `DatatypeValidator`, `DatatypeValidatorFactoryImpl`, `DatatypeValidatorFactory`, `XMLValidator`

Field Summary
`static int` | `ENTITY_INITIALIZE`

Constructor Summary
`ENTITYDatatypeValidator()`
`ENTITYDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this object.
`int` | `compare(java.lang.String content1, java.lang.String content2)` REVISIT Compares two Datatype for order
`java.util.Hashtable` | `getFacets()`
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` Checks that "content" string is valid datatype.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTITY_INITIALIZE

    public static final int ENTITY_INITIALIZE

Constructor Detail

### ENTITYDatatypeValidator

    public ENTITYDatatypeValidator()
                            throws InvalidDatatypeFacetException

### ENTITYDatatypeValidator

    public ENTITYDatatypeValidator(DatatypeValidator base,
                                   java.util.Hashtable facets,
                                   boolean derivedByList)
                            throws InvalidDatatypeFacetException

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  Checks that "content" string is valid datatype. If invalid a Datatype validation exception is thrown.

  Parameters:
    `content` - A string containing the content to be validated
    `derivedBylist` - Flag which is true when type is derived by list otherwise it it is derived by extension.
  Throws:
    throws - InvalidDatatypeException if the content is invalid according to the rules for the validators
    InvalidDatatypeValueException -
  Overrides:
    validate in class AbstractDatatypeValidator
  See Also:
    `InvalidDatatypeValueException`

### compare

    public int compare(java.lang.String content1,
                       java.lang.String content2)

  REVISIT Compares two Datatype for order

  Returns:
  Overrides:
    compare in class AbstractDatatypeValidator

### getFacets

    public java.util.Hashtable getFacets()

  Overrides:
    getFacets in class AbstractDatatypeValidator

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this object.

  Overrides:
    clone in class AbstractDatatypeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD